BulkBean.Generator (cglib (Version 2.2.2))
Date: 2024-01-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.cglib.beans
Class BulkBean.Generator

    java.lang.Object
      net.sf.cglib.core.AbstractClassGenerator
          net.sf.cglib.beans.BulkBean.Generator

All Implemented Interfaces:
  ClassGenerator

Enclosing class:
  BulkBean

    public static class BulkBean.Generator

extends AbstractClassGenerator

Constructor Summary
`BulkBean.Generator()`

Method Summary
`BulkBean` | `create()`
`void` | `generateClass(org.objectweb.asm.ClassVisitor v)`
`void` | `setGetters(java.lang.String[] getters)`
`void` | `setSetters(java.lang.String[] setters)`
`void` | `setTarget(java.lang.Class target)`
`void` | `setTypes(java.lang.Class[] types)`

Methods inherited from class net.sf.cglib.core.AbstractClassGenerator
`getAttemptLoad, getClassLoader, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setNamingPolicy, setStrategy, setUseCache`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BulkBean.Generator

    public BulkBean.Generator()

Method Detail

### setTarget

    public void setTarget(java.lang.Class target)

### setGetters

    public void setGetters(java.lang.String[] getters)

### setSetters

    public void setSetters(java.lang.String[] setters)

### setTypes

    public void setTypes(java.lang.Class[] types)

### create

    public BulkBean create()

### generateClass

    public void generateClass(org.objectweb.asm.ClassVisitor v)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 - Apache Software Foundation